# Uses of Class
org.springframework.beans.factory.xml.XmlReaderContext

Packages that use XmlReaderContext
Package
Description
org.springframework.beans.factory.xml
Contains an abstract XML-based `BeanFactory` implementation, including a standard "spring-beans" XSD.

## Uses of XmlReaderContext in org.springframework.beans.factory.xml

Methods in org.springframework.beans.factory.xml that return XmlReaderContext
Modifier and Type
Method
Description
`XmlReaderContext`
XmlBeanDefinitionReader.`createReaderContext(org.springframework.core.io.Resource resource)`
Create the `XmlReaderContext` to pass over to the document reader.
`final XmlReaderContext`
BeanDefinitionParserDelegate.`getReaderContext()`
Get the `XmlReaderContext` associated with this helper instance.
`protected final XmlReaderContext`
DefaultBeanDefinitionDocumentReader.`getReaderContext()`
Return the descriptor for the XML resource that this parser works on.
`XmlReaderContext`
ParserContext.`getReaderContext()`
Methods in org.springframework.beans.factory.xml with parameters of type XmlReaderContext
Modifier and Type
Method
Description
`protected BeanDefinitionParserDelegate`
DefaultBeanDefinitionDocumentReader.`createDelegate(XmlReaderContext readerContext, Element root, BeanDefinitionParserDelegate parentDelegate)`
`void`
BeanDefinitionDocumentReader.`registerBeanDefinitions(Document doc, XmlReaderContext readerContext)`
Read bean definitions from the given DOM document and register them with the registry in the given reader context.
`void`
DefaultBeanDefinitionDocumentReader.`registerBeanDefinitions(Document doc, XmlReaderContext readerContext)`
This implementation parses bean definitions according to the "spring-beans" XSD (or DTD, historically).
Constructors in org.springframework.beans.factory.xml with parameters of type XmlReaderContext
Modifier
Constructor
Description
``
`BeanDefinitionParserDelegate(XmlReaderContext readerContext)`
Create a new BeanDefinitionParserDelegate associated with the supplied `XmlReaderContext`.
``
`ParserContext(XmlReaderContext readerContext, BeanDefinitionParserDelegate delegate)`
``
`ParserContext(XmlReaderContext readerContext, BeanDefinitionParserDelegate delegate, BeanDefinition containingBeanDefinition)`